Bug 840609 - katello-headpin displays system groups under activation key when headpin will not support system groups
katello-headpin displays system groups under activation key when headpin will...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.2
Assigned To: Jordan OMara
SAM QE List
: Triaged
Depends On:
Blocks: 840614
  Show dependency treegraph
 
Reported: 2012-07-16 13:07 EDT by Eric Sammons
Modified: 2014-11-09 17:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840614 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system group tab is removed (86.49 KB, image/png)
2012-09-20 01:29 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Eric Sammons 2012-07-16 13:07:33 EDT
Description of problem:
When navigating around on an activation key you will see a System Groups Tab, System Groups is a unsupported feature of headpin.

Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1

Steps to Reproduce:
1. Navigate to the content tab
2. In the Drop down select activation keys
3. Select an activation Key
  
Actual results:
System Groups tab is present in the right pane

Expected results:
System Groups tab should be hidden when deployment = headpin | sam
Comment 1 Jordan OMara 2012-07-27 09:23:39 EDT
https://github.com/Katello/katello/pull/371
Comment 2 Tazim Kolhar 2012-09-20 01:29:59 EDT
Created attachment 614692 [details]
system group tab is removed

VERIFIED with the packages:
[root@ibm-himalaya ~]# rpm -qa | grep katello
katello-cli-common-1.1.8-1.git.2.a0908e7.fc16.noarch
katello-all-1.1.12-1.git.26.d683e16.fc16.noarch
katello-cli-headpin-1.1.1-1.git.59.e8fe8d3.fc16.noarch
katello-glue-candlepin-1.1.12-1.git.26.d683e16.fc16.noarch
katello-glue-pulp-1.1.12-1.git.26.d683e16.fc16.noarch
katello-1.1.12-1.git.26.d683e16.fc16.noarch
katello-certs-tools-1.1.8-1.fc16.noarch
katello-selinux-1.1.1-1.fc16.noarch
katello-glue-foreman-1.1.12-1.git.26.d683e16.fc16.noarch
katello-configure-1.1.9-1.fc16.noarch
katello-common-1.1.12-1.git.26.d683e16.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-1.1.2-1.fc16.noarch



System Group tab is now removed from the SAM UI since that component
is katello specific
Comment 4 errata-xmlrpc 2013-02-21 14:16:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.